
Redmine - Patch #640

When choosing assignee, automatically switch status to Assigned

2008-02-12 18:27 - Dov Murik

Status: New Start date: 2008-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

Patch against trunk is attached.

In the new-issue / edit-issue pages this is done with javascript hack, that changes the 'Status' select field whenever the 'Assigned to'

select field is changed.

In the right-click context menu this is done by added a issue[status_id]=2 to context_menu_link URL.

Note that I use the hard-coded number 1 (New) and 2 (Assigned). There might be a nicer way to do it :-)

dubek

Related issues:

Related to Redmine - Feature #4582: Automaticly set an issue status when an i... New 2010-01-14

Has duplicate Redmine - Feature #17001: Setting an assignee in "New" bugs sho... Closed

History

#1 - 2008-08-05 22:59 - Mischa The Evil

- File change_status_to_assigned_when_choosing_assignee-r1715.patch added

Updated the patch against r1715.

#2 - 2010-11-01 07:45 - Andreas Huggel

+1

#3 - 2011-09-27 13:54 - Frank Helk

-1

Nice on "new Ticket", but annoying if status is already behind "Assigned".

Assume an issue already solved and the solution is ready to be checked by QA. Status ist (custom) "Ready for QA". Now you assign it to Hank from

the QA team. And magically the status changed to "Assigned". Needs to be reset by the user. Annoying.

May be OK if current status is "New" - and only then. Needs to be configurable ...

#4 - 2013-04-30 10:48 - Diego Álvarez

Good work. Unfortunately it doesn't work with version 2.3.

I'd be grateful if you could update the patch.

Thanks in advance.

Regards,

Diego

#5 - 2016-03-23 03:23 - Go MAEDA

- Related to Feature #4582: Automaticly set an issue status when an issue is first assigned added

#6 - 2017-05-15 16:47 - Go MAEDA

- Has duplicate Feature #17001: Setting an assignee in "New" bugs should make them "Assigned" added
https://www.redmine.org/projects/redmine/repository/svn/revisions/1715
